Bug 76095 - [patch] Unquoted shell characters in IGNORE messages causing port error
Summary: [patch] Unquoted shell characters in IGNORE messages causing port error
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-11 11:50 UTC by Sam Lawrance
Modified: 2005-01-19 16:59 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.61 KB, patch)
2005-01-11 11:50 UTC, Sam Lawrance
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Lawrance 2005-01-11 11:50:35 UTC
	Due to the way the ignore message is output by bsd.port.mk, quoted IGNORE
messages containing unquoted shell characters may cause the command to fail. The IGNORE
message is not printed and the user is left with a cryptic error message.

	The following ports are affected:

	graphics/kix-kmod
	palm/uppc-kmod
	print/trueprint
	x11/nvidia-driver
	
Maintainers are cc'ed.

Fix: The IGNORE message should not be wrapped in "". If you don't believe me, take a
look at IGNORECMD in bsd.port.mk. If IGNORE is quoted in "", the quoting in IGNORECMD
ends up all wrong.

	Patch below removes "" quotes.
	
How-To-Repeat: 	"make" any of the abovementioned ports under IGNOREable conditions.
Comment 1 Sam Lawrance 2005-01-11 12:12:37 UTC
Bugger, I left 3 lines in uppc-kmod that I didn't mean to (the "test" 
target). Committer, pretty please tweak them out for me. Cheers.

-- 
Sam Lawrance    ph +61 0425 228 579    freenode: deft
Comment 2 Sam Lawrance 2005-01-14 02:43:29 UTC
Forwarded message
-------- Original Message --------
Subject: 	Re: [patch] Unquoted shell characters in IGNORE messages 
causing port error
Date: 	Tue, 11 Jan 2005 12:58:39 -0000 (GMT)
From: 	Jonathan Belson <jon@witchspace.com>
To: 	Sam Lawrance <boris@brooknet.com.au>
CC: 	freebsd-gnats-submit@freebsd.org
References: 	<20050111114328.A7A094D2@localhost>



Hiya

The kix-kmod change looks fine to me; feel free to apply the patch.

Cheers,

--Jon

http://www.witchspace.com
Comment 3 Volker Stolz freebsd_committer 2005-01-19 16:59:26 UTC
State Changed
From-To: open->closed

Fixed, thanks! I just committed the two last changes.